package com.ruoyi.zdsz.mapper;

import com.ruoyi.zdsz.domain.ZEngineeringNode;
import com.ruoyi.zdsz.domain.vo.ZEngineeringNodeVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工程节点Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface ZEngineeringNodeMapper extends BaseMapperPlus<ZEngineeringNodeMapper, ZEngineeringNode, ZEngineeringNodeVo> {

    List<ZEngineeringNode> selectNodeListByMonth(@Param("monthList") List<String> monthList, @Param("type")String type, @Param("state")String state,@Param("civilIds")List<String> civilIds);
    List<String> selectNodeCivliIdListByMonth(@Param("monthList") List<String> monthList, @Param("nodeIds")List<String> nodeIds);
}
